Package net.shibboleth.shared.service

# Class AbstractReloadableService.ServiceReloadTask

java.lang.Object
java.util.TimerTask
net.shibboleth.shared.service.AbstractReloadableService.ServiceReloadTask

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  AbstractReloadableService<T>

protected class AbstractReloadableService.ServiceReloadTask extends TimerTask
A watcher that determines if a service should be reloaded and does so as appropriate.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ServiceReloadTask()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class java.util.TimerTask

`cancel, scheduledExecutionTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServiceReloadTask

protected ServiceReloadTask()

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`
Specified by:
  `run` in class `TimerTask`